﻿@model PagedList.IPagedList<Cdio447.ViewModels.InfoPlayerViewModel>
@using Cdio447.Supports
@using PagedList.Mvc;

@{
    ViewBag.Title = "Quản lý người dùng";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section jsFooter{
    <script src="~/Content/assets/admin/js/controller/userController.js"></script>
}

@section scripts{
    <script src="~/Scripts/bootbox.min.js"></script>
    <script src="~/Content/assets/admin/js/controller/getDetail.js"></script>
}
<div class="box-title-section">
    <h1 class="m-0">Danh sách người dùng</h1>
</div>
<div class="d-flex">
    @using (Html.BeginForm("Index", "ManUsers", FormMethod.Get))
    {
        <div class="form-row align-items-center mb-1">
            <div class="col-12 col-lg-auto">
                <input type="button" class="btn btn_template mr-3" value="Thêm mới" onclick="location.href='@Url.Action("Create","ManUsers")'" />
            </div>
            <div class="col-12 col-lg-auto">
                @Html.TextBox("searchString", "", new { @class = "form-control", @placeholder = "Nhập user cần tìm" })
            </div>
            <div class="col-12 col-lg-auto">
                <input type="submit" value="Tìm kiếm" class="ml-3 btn btn-primary h-100" />
            </div>
        </div>
    }
</div>
<div class="table-box">
    <table class="table">
        <thead>
            <tr>
                <th>Tài khoản</th>
                <th>Tên hiển thị</th>
                <th>Email</th>
                <th>Số điện thoại</th>
                <th>Loại tài khoản</th>
                <th>Giới tính</th>
                <th>Thành phố</th>
                <th>Trạng thái</th>
                <th>Games</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Count() == 0)
            {
                <tr>
                    <td colspan="3" style="color:red">
                        Không tìm thấy dữ liệu
                    </td>
                </tr>
            }
            else
            {
                foreach (var item in Model)
                {
                    <tr>
                        <td>@item.user_name</td>
                        <td>@item.display_name</td>
                        <td>@item.email</td>
                        <td>@item.phone</td>
                        <td>@(item.role == 1 ? "Admin" : "Người dùng")</td>
                        <td>@(item.gender == 1 ? "Nam" : "Nữ")</td>
                        <td>@item.namecity</td>
                        @switch (item.status)
                        {
                            case 0:
                                <td>Chưa có thông tin</td>
                                break;
                            case 1:
                                <td>Đang rảnh</td>
                                break;
                            case 2:
                                <td style="color:orange">Đang được thuê</td>
                                break;
                            case 3:
                                <td style="color: red">Bị khoá</td>
                                break;
                        }

                        <td>@item.tag</td>
                        <td><a href="#" class="btn-active" data-id="@item.user_id">@Html.Raw(item.status == 3 ? "<strong>Kích hoạt</strong>" : "Khoá")</a></td>
                        <td><button class="btn btn-primary btn-group-vertical btn-detail" data-id="@item.user_id">Xem chi tiết</button> </td>
                    </tr>
                }
            }
        </tbody>
    </table>
    <div>@Html.PagedListPager(Model, page => Url.Action("Index", new { page }))</div>
</div>
@RenderPage("ViewDetail.cshtml")